diff --git a/cnab/helm/templates/_kafka_image_map.tpl b/cnab/helm/templates/_kafka_image_map.tpl
index 8159ea5..80bb036 100644
--- a/cnab/helm/templates/_kafka_image_map.tpl
+++ b/cnab/helm/templates/_kafka_image_map.tpl
@@ -6,27 +6,27 @@
 {{/* Generate the kafka image map */}}
 {{- define "strimzi.kafka.image.map" }}
             - name: STRIMZI_DEFAULT_TLS_SIDECAR_ENTITY_OPERATOR_IMAGE
-              value: {{ default .Values.defaultImageRegistry .Values.tlsSidecarEntityOperator.image.registry }}/{{ default .Values.defaultImageRepository .Values.tlsSidecarEntityOperator.image.repository }}/{{ .Values.tlsSidecarEntityOperator.image.name }}:{{ default .Values.defaultImageTag .Values.tlsSidecarEntityOperator.image.tagPrefix }}-kafka-3.1.0
+              value: {{ .Values.tlsSidecarEntityOperator.image.repository }}@{{ .Values.tlsSidecarEntityOperator.image.digest }}
             - name: STRIMZI_DEFAULT_KAFKA_EXPORTER_IMAGE
-              value: {{ default .Values.defaultImageRegistry .Values.kafkaExporter.image.registry }}/{{ default .Values.defaultImageRepository .Values.kafkaExporter.image.repository }}/{{ .Values.kafkaExporter.image.name }}:{{ default .Values.defaultImageTag .Values.kafkaExporter.image.tagPrefix }}-kafka-3.1.0
+              value: {{ .Values.kafkaExporter.image.repository }}@{{ .Values.kafkaExporter.image.digest }}
             - name: STRIMZI_DEFAULT_CRUISE_CONTROL_IMAGE
-              value: {{ default .Values.defaultImageRegistry .Values.cruiseControl.image.registry }}/{{ default .Values.defaultImageRepository .Values.cruiseControl.image.repository }}/{{ .Values.cruiseControl.image.name }}:{{ default .Values.defaultImageTag .Values.cruiseControl.image.tagPrefix }}-kafka-3.1.0
+              value: {{ .Values.cruiseControl.image.repository }}@{{ .Values.cruiseControl.image.digest }}
             - name: STRIMZI_DEFAULT_TLS_SIDECAR_CRUISE_CONTROL_IMAGE
-              value: {{ default .Values.defaultImageRegistry .Values.tlsSidecarCruiseControl.image.registry }}/{{ default .Values.defaultImageRepository .Values.tlsSidecarCruiseControl.image.repository }}/{{ .Values.tlsSidecarCruiseControl.image.name }}:{{ default .Values.defaultImageTag .Values.tlsSidecarCruiseControl.image.tagPrefix }}-kafka-3.1.0
+              value: {{ .Values.tlsSidecarCruiseControl.image.repository }}@{{ .Values.tlsSidecarCruiseControl.image.digest }}
             - name: STRIMZI_KAFKA_IMAGES
-              value: |                 
-                3.0.0={{ default .Values.defaultImageRegistry .Values.kafka.image.registry }}/{{ default .Values.defaultImageRepository .Values.kafka.image.repository }}/{{ .Values.kafka.image.name }}:{{ default .Values.defaultImageTag .Values.kafka.image.tagPrefix }}-kafka-3.0.0
-                3.1.0={{ default .Values.defaultImageRegistry .Values.kafka.image.registry }}/{{ default .Values.defaultImageRepository .Values.kafka.image.repository }}/{{ .Values.kafka.image.name }}:{{ default .Values.defaultImageTag .Values.kafka.image.tagPrefix }}-kafka-3.1.0
+              value: |
+                3.0.0={{ .Values.kafka.v3_0_0.image.repository }}@{{ .Values.kafka.v3_0_0.image.digest }}
+                3.1.0={{ .Values.kafka.v3_1_0.image.repository }}@{{ .Values.kafka.v3_1_0.image.digest }}
             - name: STRIMZI_KAFKA_CONNECT_IMAGES
-              value: |                 
-                3.0.0={{ default .Values.defaultImageRegistry .Values.kafkaConnect.image.registry }}/{{ default .Values.defaultImageRepository .Values.kafkaConnect.image.repository }}/{{ .Values.kafkaConnect.image.name }}:{{ default .Values.defaultImageTag .Values.kafkaConnect.image.tagPrefix }}-kafka-3.0.0
-                3.1.0={{ default .Values.defaultImageRegistry .Values.kafkaConnect.image.registry }}/{{ default .Values.defaultImageRepository .Values.kafkaConnect.image.repository }}/{{ .Values.kafkaConnect.image.name }}:{{ default .Values.defaultImageTag .Values.kafkaConnect.image.tagPrefix }}-kafka-3.1.0
+              value: |
+                3.0.0={{ .Values.kafkaConnect.v3_0_0.image.repository }}@{{ .Values.kafkaConnect.v3_0_0.image.digest }}
+                3.1.0={{ .Values.kafkaConnect.v3_1_0.image.repository }}@{{ .Values.kafkaConnect.v3_1_0.image.digest }}
             - name: STRIMZI_KAFKA_MIRROR_MAKER_IMAGES
-              value: |                 
-                3.0.0={{ default .Values.defaultImageRegistry .Values.kafkaMirrorMaker.image.registry }}/{{ default .Values.defaultImageRepository .Values.kafkaMirrorMaker.image.repository }}/{{ .Values.kafkaMirrorMaker.image.name }}:{{ default .Values.defaultImageTag .Values.kafkaMirrorMaker.image.tagPrefix }}-kafka-3.0.0
-                3.1.0={{ default .Values.defaultImageRegistry .Values.kafkaMirrorMaker.image.registry }}/{{ default .Values.defaultImageRepository .Values.kafkaMirrorMaker.image.repository }}/{{ .Values.kafkaMirrorMaker.image.name }}:{{ default .Values.defaultImageTag .Values.kafkaMirrorMaker.image.tagPrefix }}-kafka-3.1.0
+              value: |
+                3.0.0={{ .Values.kafkaMirrorMaker.v3_0_0.image.repository }}@{{ .Values.kafkaMirrorMaker.v3_0_0.image.digest }}
+                3.1.0={{ .Values.kafkaMirrorMaker.v3_1_0.image.repository }}@{{ .Values.kafkaMirrorMaker.v3_1_0.image.digest }}
             - name: STRIMZI_KAFKA_MIRROR_MAKER_2_IMAGES
-              value: |                 
-                3.0.0={{ default .Values.defaultImageRegistry .Values.kafkaMirrorMaker2.image.registry }}/{{ default .Values.defaultImageRepository .Values.kafkaMirrorMaker2.image.repository }}/{{ .Values.kafkaMirrorMaker2.image.name }}:{{ default .Values.defaultImageTag .Values.kafkaMirrorMaker2.image.tagPrefix }}-kafka-3.0.0
-                3.1.0={{ default .Values.defaultImageRegistry .Values.kafkaMirrorMaker2.image.registry }}/{{ default .Values.defaultImageRepository .Values.kafkaMirrorMaker2.image.repository }}/{{ .Values.kafkaMirrorMaker2.image.name }}:{{ default .Values.defaultImageTag .Values.kafkaMirrorMaker2.image.tagPrefix }}-kafka-3.1.0
+              value: |
+                3.0.0={{ .Values.kafkaMirrorMaker2.v3_0_0.image.repository }}@{{ .Values.kafkaMirrorMaker2.v3_0_0.image.digest }}
+                3.1.0={{ .Values.kafkaMirrorMaker2.v3_1_0.image.repository }}@{{ .Values.kafkaMirrorMaker2.v3_1_0.image.digest }}
 {{- end -}}
